<style>
    tfoot input {
        width: 100%;
        padding: 3px;
        box-sizing: border-box;
    }
</style>
<script>
    $(document).ready(function() {

$('#dataTarget tfoot th').each( function () {
    var title = $(this).text();
    $(this).html( '<input type="text" placeholder="Search '+title+'" />' );
} );

        var table = $('#dataTarget').DataTable( {
            "ajax": {
                "url": "{% url 'mahasiswa:mahasiswa-json' %}",
                "dataSrc": function ( json ) {
                    for ( var i=0, ien=json.data.length ; i<ien ; i++ ) {
                        try {
                            json.data[i].expertise = json.data[i].expertises.map(item => '<span class="label label-success" style="margin-left: 6px">'+item.name+'</span>').reduce((a, b) => a+b);
                        } catch (e) {
                            json.data[i].expertise = '';
                        }
                    }
                    return json.data;
                },
            },
            'columns': [{data: 'npm'}, {data: 'name'}, {data: 'batch'}, {data: 'expertise'}, ],
        });

        table.columns().every( function (id) {
            var that = table.columns(id);
            $('input', this.footer()).on('keyup change', function () {
                if (that.search() !== this.value) {
                    that.search(this.value).draw();
                }
            });
        });
    });
</script>
<div class="panel panel-info">
    <div class="panel-heading">
        <h2>Cari Mahasiswa</h2>
    </div>
    <div class="panel-body">
        <table id="dataTarget" class="display" width="100%" cellspacing="0">
            <thead>
                <tr>
                    <th>NPM</th>
                    <th>Nama</th>
                    <th>Angkatan</th>
                    <th>Keahlian</th>
                </tr>
            </thead>
            <tfoot>
                <tr>
                    <th>NPM</th>
                    <th>Nama</th>
                    <th>Angkatan</th>
                    <th>Keahlian</th>
                </tr>
            </tfoot>
        </table>
    </div>
</div>
